
#=============================================================================
# Overview of build options:
#
# End of build options
#-----------------------------------------------------------------------------

##trace

%global debug_package    %{nil}

%global gitdate          20240603
%global commit           ae05de7c51f6609479f4f1a4a0f6f65631731c1b
%global shortcommit      %(c=%{commit}; echo ${c:0:7})

%global version          0.1
%global release          1

# set this to "1" if building a git/beta/rc release
%global beta_or_rc       1


#=============================================================================
# general
#-----------------------------------------------------------------------------
Name:           powerline-extra-symbols
%if %{beta_or_rc}
Version:        %{gitdate}
Release:        0.%{release}.git%{shortcommit}%{?dist}
%else
Version:        %{version}
Release:        %{release}%{?dist}
%endif
Summary:        Extra glyphs for your Powerline separators
License:        MIT
URL:            https://github.com/ryanoasis/powerline-extra-symbols
%if %{beta_or_rc}
Source0:        %{url}/archive/{commit}/%{name}-%{version}-git%{shortcommit}.tar.gz
%else
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
%endif
Source1:        10-powerline-extra-symbols.conf
BuildArch:      noarch

%description
Extra glyphs for your Powerline separators.

There are no fonts included but they are available at:
https://github.com/ryanoasis/nerd-fonts


#=============================================================================
# prep
#-----------------------------------------------------------------------------
%prep
%if %{beta_or_rc}
%autosetup -p1 -n %{name}
%else
%autosetup -p1 -n %{name}
%endif


#=============================================================================
# build
#-----------------------------------------------------------------------------
%build
#nothing to build


#=============================================================================
# check
#-----------------------------------------------------------------------------
%check
# there are no tests


#=============================================================================
# install
#-----------------------------------------------------------------------------
%install
# create directories
install -d -m0755 %{buildroot}%{_sysconfdir}/fonts/conf.d
install -d -m0755 %{buildroot}%{_datadir}/fonts/truetype
install -d -m0755 %{buildroot}%{_datadir}/fontconfig/conf.avail

install -m0644 PowerlineExtraSymbols.otf %{buildroot}%{_datadir}/fonts/truetype/PowerlineExtraSymbols.otf
install -m0644 %{SOURCE1} %{buildroot}%{_datadir}/fontconfig/conf.avail/10-powerline-extra-symbols.conf

ln -s %{_datadir}/fontconfig/conf.avail/10-powerline-extra-symbols.conf %{buildroot}%{_sysconfdir}/fonts/conf.d/10-powerline-extra-symbols.conf


#=============================================================================
# files
#-----------------------------------------------------------------------------
%files
%defattr(-,root,root)
%license LICENSE
%doc README.md
                        %{_sysconfdir}/fonts/conf.d/10-powerline-extra-symbols.conf
%attr(0644,root,root)   %{_datadir}/fontconfig/conf.avail/10-powerline-extra-symbols.conf
%attr(0644,root,root)   %{_datadir}/fonts/truetype/PowerlineExtraSymbols.otf


#=============================================================================
# changelog
#-----------------------------------------------------------------------------
%changelog
* Mon Jun 03 2024 Patrick Laimbock <patrick@laimbock.com> - 20240603-0.1
- use date as version

* Wed Dec 08 2021 Patrick Laimbock <patrick@laimbock.com> - 0.1-0.1
- initial build

